Bug 864308 - please update spec file for python-chameleon
please update spec file for python-chameleon
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: python-chameleon (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Infrastructure SIG
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 855706
  Show dependency treegraph
 
Reported: 2012-10-09 01:24 EDT by Tomas Dabašinskas
Modified: 2017-11-21 23:02 EST (History)
2 users (show)

See Also:
Fixed In Version: python-chameleon-2.5.3-1.el6.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-21 23:02:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Dabašinskas 2012-10-09 01:24:52 EDT
Hi,
chameleon 2.7.0 setup.py has a following condition for requires:

if version < (2, 7, 0):
    install_requires.append("ordereddict")
    install_requires.append("unittest2")

as python version in rhel < 2.7.0 extra requires needs to be defined in spec

%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires: python-ordereddict
Requires: python-ordereddict
BuildRequires: python-unittest2
Requires: python-unittest2
%endif


many thanks,
Tomas
Comment 3 Kevin Fenzi 2017-11-05 18:30:39 EST
Sorry this has languished, update coming up.
Comment 4 Fedora Update System 2017-11-05 18:34:55 EST
python-chameleon-2.5.3-1.el6.3 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e89403d406
Comment 5 Fedora Update System 2017-11-06 18:47:37 EST
python-chameleon-2.5.3-1.el6.3 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e89403d406
Comment 6 Fedora Update System 2017-11-21 23:02:21 EST
python-chameleon-2.5.3-1.el6.3 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.